### Function

# Camel ForeachPartFunc

since: 3.34

#### Declaration

    gboolean
    (* CamelForeachPartFunc) (
      CamelMimeMessage* message,
      CamelMimePart* part,
      CamelMimePart* parent_part,
      gpointer user_data
    )

#### Description [src]

Callback used to traverse parts of the `message` using camel_mime_message_foreach_part().

Available since: 3.34

#### Parameters

`message`

  Type: `CamelMimeMessage`

  A `CamelMimeMessage`.

  The data is owned by the caller of the function.

`part`

  Type: `CamelMimePart`

  A `CamelMimePart`, for which the function is called.

  The data is owned by the caller of the function.

`parent_part`

  Type: `CamelMimePart`

  A `CamelMimePart`, parent of the `part`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data, as passed to camel_mime_message_foreach_part().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, when the traverse should continue, `FALSE` to stop traversing parts of the `message`.